SDL_GetJoysticks(3)

NAME
SDL_GetJoysticks - Get a list of currently connected joysticks.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_JoystickID* SDL_GetJoysticks(int *count);

FUNCTION PARAMETERS

count
    a pointer filled in with the number of joysticks returned

RETURN VALUE
Returns a 0 terminated array of joystick instance IDs which should be freed with SDL_free (), or NULL on error; call SDL_GetError () for more details.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_HasJoystick(3), SDL_OpenJoystick(3)